The POST request (see Search request) used for search start must contain binary data of searched face in jpеg format.
All face detection triggerings are stored in the t_json_event database table. The t_face_vector table stores the vectors of faces recognized by the detection tool. The t_face_listed table stores the face images added to the list of people. |
| Parameter | Required | Description | |
|---|---|---|---|
| accuracy | No | The accuracy parameter is a recognition rate from range [0, 1] (1 – complete match). This parameter is specified additionally in the search line or in the request body. Otherwise, the default value 0.9 will be used.
|
If the body of the POST request is empty, then the search will return all the results for the recognized faces. The accuracy parameter value in this case will be 0. |
Sample request:
POST http://127.0.0.1:80/search/face/SERVER1/AVDetector.2/EventSupplier/past/future?accuracy=0.7
GET http://127.0.0.1:80/search/face/2e69ba76-23f1-4d07-a812-fee86e994b8e/result
Sample response:
{
"events" : [
{
"accuracy" : 0.90591877698898315,
"origin" : "hosts/SERVER1/DeviceIpint.2/SourceEndpoint.video:0:0", "position" : {
"bottom" : 0.10694444444444445, "left" : 0.69687500000000002, "right" : 0.74687500000000007, "top" : 0.018055555555555554
},
"timestamp" : "20160914T085307.499000"
},
{
"accuracy" : 0.90591877698898315,
"origin" : "hosts/SERVER1/DeviceIpint.2/SourceEndpoint.video:0:0", "position" : {
"bottom" : 0.10694444444444445, "left" : 0.69687500000000002, "right" : 0.74687500000000007, "top" : 0.018055555555555554
},
"timestamp" : "20160914T085830.392000"
}
]
} |
| Parameter | Description |
|---|---|
| origin | Сamera channel to take analyzed video stream from. |
| timestamp | Time stamp of a video frame with a face detected by the detection tool. |
| accuracy | Recognition accuracy ranged [0,1], with 1 corresponding to full match. |
| position | Coordinates of a frame border enclosing face on a video frame. |